[resolu]plugin Excel_Import : Fatal error !!!

Messagepar eebee » Mar 03 Mar 2009, 23:37

Bonjour,

je viens d'installer Excel_Import mais j'ai un drole de message d'erreur quand j'essaie de l'utiliser : Fatal error: Cannot redeclare tep_db_connect() (previously declared in C:EasyPHP 2.0b1wwwhannah-lindsayoscsscontroleincludesfunctionsdatabase.php:19) in C:EasyPHP 2.0b1wwwhannah-lindsayoscsscontroleincludesfunctionsdatabase.php on line 31

hors j'ai bien regardé le fichier database.php : on ne redeclare pas tep_db_connect en ligne 31 !!!! en plus ce même fichier marche parfaitement avec par exemple le plugin "quick update".

Je sèche totalement ! quelqu'un aurait un indice ?

D'avance merci
Dernière édition par eebee le Mer 04 Mar 2009, 12:50, édité 1 fois.
eebee
Membre actif
 
Messages: 26
Inscription: Sam 07 Fév 2009, 12:49

Messagepar j4k » Mar 03 Mar 2009, 23:42

c curieux on dirait que le fichier database.php est en conflit avec lui même.

ne serait-il pas appelé 2 fois par erreur dans le fichier excel-import en question ?

quelle est la version sur laquelle tu t'es basé ?
~ osCSS 1.2.1 ~
Avatar de l’utilisateur
j4k
Site Admin
 
Messages: 1259
Inscription: Mer 27 Avr 2005, 09:13
Localisation: France

Messagepar eebee » Mar 03 Mar 2009, 23:52

J'ai utilisé le plugin proposé ici : http://wiki.oscss.org/doku.php?id=osc:p ... cel_import

La première ligne du fichier plugin_excel.php c'est
Code: Tout sélectionner
require('includes/application_top.php');

et à l'execution je ne dépasse pas cette première ligne de code !
eebee
Membre actif
 
Messages: 26
Inscription: Sam 07 Fév 2009, 12:49

Messagepar j4k » Mer 04 Mar 2009, 11:51

autre chose (qui n'a peut-être rien à voir) : vérifie si il n'y a pas d'espace en tout début de fichier (ou de saut de ligne) ou ailleur.

cela génère parfois des erreurs curieuses (normalement c'est plutot header already sent mais on sait jamais)
~ osCSS 1.2.1 ~
Avatar de l’utilisateur
j4k
Site Admin
 
Messages: 1259
Inscription: Mer 27 Avr 2005, 09:13
Localisation: France

Messagepar eebee » Mer 04 Mar 2009, 12:09

Bonjour,

je viens de trouver un partie du problème : en installant je m'étais trompée, j'avais mis le plungin_excel.php sous langage/english ensuite je l'avais COPIE (et non déplacé !!!) au bon endroit. Conclusion quand application-top.php essayait de faire les includes pour le language il trouvait un fichier plungin_excel.php ! et essayait de l'inclure pour la seconde fois.

Maintenant ne n'ai plus de fatal error !

par contre à la ligne ~164 j'avais "<?" au lieu de "<?php" du coup le code n'était plus interprété après .... et ligne ~514 aussi !


Du coup je me demande vraiment si cette version est correcte et vérifiée ...? Quelqu'un peut me rassurer ?
eebee
Membre actif
 
Messages: 26
Inscription: Sam 07 Fév 2009, 12:49

Messagepar j4k » Mer 04 Mar 2009, 12:38

ok tu peux mettre résolu sur ton premier post.

Pour la balise php je laisse ceux qui l'on installé te répondre, en tout cas il faudra corriger ce problème sur le wiki.
~ osCSS 1.2.1 ~
Avatar de l’utilisateur
j4k
Site Admin
 
Messages: 1259
Inscription: Mer 27 Avr 2005, 09:13
Localisation: France

Messagepar eebee » Mer 04 Mar 2009, 12:54

Ok merci pour tout.
eebee
Membre actif
 
Messages: 26
Inscription: Sam 07 Fév 2009, 12:49


Retourner vers Plugin

 


  • Articles en relation
    Réponses
    Vus
    Dernier message

Qui est en ligne

Utilisateurs parcourant ce forum: bingbot [Bot] et 1 invité

cron